
Redmine - Defect #15780

Filter issues by date time (instead of only date) in REST API

2013-12-29 19:22 - Holger Schmidt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.2

Description

I'd expect the date filters in the issue REST API to work with date time values as well as with dates.

I wanted to filter for issues updated after a specific time. Using the date time filter

unencoded:   updated_on=>=2013-12-29T17:17:33

URL-encoded: updated_on=%3e%3d2013-12-29 17%3a17%3a33

in the ISO 8601 format yields the same internal server error as using the date time format used for the updated_on node returned by

another successful query:

<updated_on>Sun Jan 03 12:08:41 +0100 2010</updated_on>

Related issues:

#8842

#10402

Related issues:

Related to Redmine - Feature #8842: REST API: Filter issues created/updated b... Closed 2011-07-18

Related to Redmine - Feature #10402: get server activity through REST API New

History

#1 - 2013-12-30 05:53 - Toshi MARUYAMA

- Related to Feature #8842: REST API: Filter issues created/updated before or after specific timestamp added

#2 - 2013-12-30 05:54 - Toshi MARUYAMA

- Related to Feature #10402: get server activity through REST API added

#3 - 2014-01-03 16:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #8842, implemented for 2.5.0.
